Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event.trackback
Class EmailAuthorNotificationListener

    java.lang.Object
      net.sourceforge.pebble.event.trackback.TrackBackListenerSupport
          net.sourceforge.pebble.event.trackback.AbstractEmailNotificationListener
              net.sourceforge.pebble.event.trackback.EmailAuthorNotificationListener

All Implemented Interfaces:
  TrackBackListener

    public class EmailAuthorNotificationListener

extends AbstractEmailNotificationListener

Sends an e-mail notification to the blog entry author when new TrackBacks are added.

Author:
  Simon Brown

Constructor Summary
`EmailAuthorNotificationListener()`

Method Summary
`protected java.util.Collection` | `getEmailAddresses(TrackBack trackBack)` Returns the collection of recipients.

Methods inherited from class net.sourceforge.pebble.event.trackback.AbstractEmailNotificationListener
`trackBackAdded`

Methods inherited from class net.sourceforge.pebble.event.trackback.TrackBackListenerSupport
`trackBackApproved, trackBackRejected, trackBackRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailAuthorNotificationListener

    public EmailAuthorNotificationListener()

Method Detail

### getEmailAddresses

    protected java.util.Collection getEmailAddresses(TrackBack trackBack)

  Returns the collection of recipients.

  Specified by:
    `getEmailAddresses` in class `AbstractEmailNotificationListener`
  Parameters:
    `trackBack` - the TrackBack from the event T * @return a Collection of e-mail addresses (Strings)
  Returns:
    a Collection of e-mail addresses (Strings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.